Package org.apache.cayenne.dba.derby.sqltree

## Class DerbyValueNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.ValueNode
    - - org.apache.cayenne.dba.derby.sqltree.DerbyValueNode

-     public class DerbyValueNode
      extends ValueNode

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DerbyValueNode​(Object value, boolean isArray, DbAttribute attribute)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `appendStringValue​(QuotingAppendable buffer, CharSequence value)` |
    `Node` | `copy()` |

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.ValueNode

      `addValueBinding, append, appendNullValue, appendObjectValue, getAttribute, getValue, isArray`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DerbyValueNode

          public DerbyValueNode​(Object value,
                                boolean isArray,
                                DbAttribute attribute)

  - ### Method Detail

    - #### appendStringValue

          protected void appendStringValue​(QuotingAppendable buffer,
                                           CharSequence value)

      Overrides:
        `appendStringValue` in class `ValueNode`

    - #### copy

          public Node copy()

      Overrides:
        `copy` in class `ValueNode`